package ec.app.complexregression.func;

import org.apache.commons.math3.complex.Complex;

import ec.EvolutionState;
import ec.Problem;
import ec.app.complexregression.ComplexData;
import ec.gp.ADFStack;
import ec.gp.GPData;
import ec.gp.GPIndividual;
import ec.gp.GPNode;

public class Zero extends GPNode {

	@Override
	public String toString() {
		return "0";
	}

	@Override
	public void eval(EvolutionState state, int thread, GPData input, ADFStack stack, GPIndividual individual,
			Problem problem) {
		ComplexData data = (ComplexData) input;
		data.x = new Complex(0, 0);
	}

}
